MapPluginLoader (Solr 3.6.2 API)
Keywords: org.apache.solr.util.plugin.MapPluginLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util.plugin
Class MapPluginLoader<T extends MapInitializedPlugin>

    java.lang.Object
      org.apache.solr.util.plugin.AbstractPluginLoader<T>
          org.apache.solr.util.plugin.MapPluginLoader<T>

    public class MapPluginLoader<T extends MapInitializedPlugin>

extends AbstractPluginLoader<T>

Since:
  solr 1.3
Version:
  $Id: MapPluginLoader.java 555343 2007-07-11 17:46:25Z hossman $

Field Summary

Fields inherited from class org.apache.solr.util.plugin.AbstractPluginLoader
`log`

Constructor Summary
`MapPluginLoader(String name, Map<String,T> map)`

Method Summary
`protected void` | `init(T plugin, Node node)` Initialize the plugin.
`protected T` | `register(String name, T plugin)` Register a plugin with a given name.

Methods inherited from class org.apache.solr.util.plugin.AbstractPluginLoader
`create, getDefaultPackages, load, loadSingle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapPluginLoader

    public MapPluginLoader(String name,
                           Map<String,T> map)

Method Detail

### init

    protected void init(T plugin,
                        Node node)
                 throws Exception

  Description copied from class: `AbstractPluginLoader`
  Initialize the plugin.

  Specified by:
    `init` in class `AbstractPluginLoader<T extends MapInitializedPlugin>`
  Parameters:
    `plugin` - - the plugin to initialize
    `node` - - the XML node defining this plugin
  Throws:
    `Exception`

### register

    protected T register(String name,
                         T plugin)
                                               throws Exception

  Description copied from class: `AbstractPluginLoader`
  Register a plugin with a given name.

  Specified by:
    `register` in class `AbstractPluginLoader<T extends MapInitializedPlugin>`
  Returns:
    The plugin previously registered to this name, or null
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD